/*  Replaces HTML title with data-tooltip. Concept: Brave's Leo AI; GLL enhanced to class + use parent font-style & color.
	Application: <element class="tooltip" data-tooltip="tooltip text" tabindex="0">normal visible text</element>
	These attributes replace HTML title: tooltips are available in case assistive tech ignores|suppresses HTML titles. */
.tooltip[data-tooltip]{position:relative;cursor:help;}/* Relative parent for absolute child */
.tooltip[data-tooltip]::after{content:attr(data-tooltip);position:absolute;bottom:100%;left:0;background:#111;border:solid 1px #FFF;font-size:11px;
	border-width:1px 1.99px 1px 1.99px;padding:5px 7px;white-space:nowrap;z-index:1024;opacity:0;transition:opacity 1.2s ease;visibility:hidden;}
.tooltip[data-tooltip]:hover::after,.tooltip[data-tooltip]:focus::after{opacity:1;visibility:visible;}
